﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.UI.HtmlControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string page = Request.Url.Segments[Request.Url.Segments.Length - 1];
        DataTable dtMeta = this.GetData(page);

        //Add Page Title
        this.Page.Title = dtMeta.Rows[0]["Title"].ToString();

        //Add Keywords Meta Tag
        HtmlMeta keywords = new HtmlMeta();
        keywords.HttpEquiv = "keywords";
        keywords.Name = "keywords";
        keywords.Content = dtMeta.Rows[0]["Keywords"].ToString();
        this.Page.Header.Controls.Add(keywords);

        //Add Description Meta Tag
        HtmlMeta description = new HtmlMeta();
        description.HttpEquiv = "description";
        description.Name = "description";
        description.Content = dtMeta.Rows[0]["Description"].ToString();
        this.Page.Header.Controls.Add(description);
    }

    private DataTable GetData(string page)
    {
        string query = "SELECT Title, Description, Keywords FROM MetaTags WHERE LOWER(Page) = LOWER(@Page)";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter())
                {
                    cmd.CommandType = CommandType.Text;
                    cmd.Parameters.AddWithValue("@Page", page);
                    cmd.Connection = con;
                    sda.SelectCommand = cmd;
                    DataTable dt = new DataTable();
                    sda.Fill(dt);
                    return dt;
                }
            }
        }
    }
}